from drawrect import *
PALETTE = (
 (0,0,0),
 (112,160,192),
 (201,192,193),
 (211,190, 37),
 (225,128, 21),
 (237, 80, 63),
 (235,252,220))
BIRD_IMG = (
 "      ######    ",
 "    ##...#__#   ",
 "   #..::#____#  ",
 " ####:::#___#_# ",
 "#....#::#___#_# ",
 "#.....#::#____# ",
 "#:...:#:::######",
 " #:::#:::#======",
 "  ###+++#=######",
 "  #++++++#=====#",
 "   ##+++++##### ",
 "     #####      ")
BIRD = [[
  PALETTE["# .:+=_".index(c)]
  for c in line]
 for line in BIRD_IMG]
L, H = 384, 192
draw_rect(0,0,L,H,PALETTE[1])
for y in range(12):
 for x in range(16):
  set_pixel(L//3+x,H//3+y,BIRD[y][x])
show_screen()
